// BlockRemainingDlg.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "BlockRemainingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBlockRemainingDlg dialog


CBlockRemainingDlg::CBlockRemainingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBlockRemainingDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBlockRemainingDlg)
	m_strCount1 = _T("");
	m_strCount2 = _T("");
	m_strCount3 = _T("");
	m_strCount4 = _T("");
	m_strCount5 = _T("");
	m_strCount6 = _T("");
	m_strCount7 = _T("");
	m_strCount8 = _T("");
	m_strTotal = _T("");
	//}}AFX_DATA_INIT
}


void CBlockRemainingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBlockRemainingDlg)
	DDX_Control(pDX, IDC_BLOCK6, m_sBlock6);
	DDX_Control(pDX, IDC_BLOCK8, m_sBlock8);
	DDX_Control(pDX, IDC_BLOCK7, m_sBlock7);
	DDX_Control(pDX, IDC_BLOCK5, m_sBlock5);
	DDX_Control(pDX, IDC_BLOCK4, m_sBlock4);
	DDX_Control(pDX, IDC_BLOCK3, m_sBlock3);
	DDX_Control(pDX, IDC_BLOCK2, m_sBlock2);
	DDX_Control(pDX, IDC_BLOCK1, m_sBlock1);
	DDX_Text(pDX, IDC_COUNT1, m_strCount1);
	DDX_Text(pDX, IDC_COUNT2, m_strCount2);
	DDX_Text(pDX, IDC_COUNT3, m_strCount3);
	DDX_Text(pDX, IDC_COUNT4, m_strCount4);
	DDX_Text(pDX, IDC_COUNT5, m_strCount5);
	DDX_Text(pDX, IDC_COUNT6, m_strCount6);
	DDX_Text(pDX, IDC_COUNT7, m_strCount7);
	DDX_Text(pDX, IDC_COUNT8, m_strCount8);
	DDX_Text(pDX, IDC_TOTAL, m_strTotal);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBlockRemainingDlg, CDialog)
	//{{AFX_MSG_MAP(CBlockRemainingDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBlockRemainingDlg message handlers

BOOL CBlockRemainingDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	int i,j,k;
	int iCount[10];
	int iTotal;
	
	// init
	for(i=0;i<10;i++)
		iCount[i]=0;

	for(i=0;i<10;i++)
	{
		for(j=0;j<8;j++)
		{
			iCount[m_pLevel->m_lBits[j][i]]++;
			m_strCount1.Format(_T("%d"),iCount[1]);
			m_strCount2.Format(_T("%d"),iCount[2]);
			m_strCount3.Format(_T("%d"),iCount[3]);
			m_strCount4.Format(_T("%d"),iCount[4]);
			m_strCount5.Format(_T("%d"),iCount[5]);
			m_strCount6.Format(_T("%d"),iCount[6]);
			m_strCount7.Format(_T("%d"),iCount[7]);
			m_strCount8.Format(_T("%d"),iCount[8]);

			iTotal=0;
			for(k=1;k<=8;k++)
				iTotal+=iCount[k];

			m_strTotal.Format(_T("%d"),iTotal);

			UpdateData(FALSE);
		}
	}

	m_sBlock1.SetBitmap(m_pBitmaps[1]);
	m_sBlock2.SetBitmap(m_pBitmaps[2]);
	m_sBlock3.SetBitmap(m_pBitmaps[3]);
	m_sBlock4.SetBitmap(m_pBitmaps[4]);
	m_sBlock5.SetBitmap(m_pBitmaps[5]);
	m_sBlock6.SetBitmap(m_pBitmaps[6]);
	m_sBlock7.SetBitmap(m_pBitmaps[7]);
	m_sBlock8.SetBitmap(m_pBitmaps[8]);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CBlockRemainingDlg::OnOK() 
{
	m_sBlock1.SetBitmap(NULL);
	m_sBlock2.SetBitmap(NULL);
	m_sBlock3.SetBitmap(NULL);
	m_sBlock4.SetBitmap(NULL);
	m_sBlock5.SetBitmap(NULL);
	m_sBlock6.SetBitmap(NULL);
	m_sBlock7.SetBitmap(NULL);
	m_sBlock8.SetBitmap(NULL);
	
	CDialog::OnOK();
}
